#include "Image.h"
#include "PngWriter.h"
#include "DrawingManager.h"
#include "DrawingSurface.h"
#include "DrawingContext.h"
#include "Grid.h"
#include "Rasterizer.h"
#include "LineSegment.h"
#include "Point.h"

int main()
{
    DrawingManager manager;
    manager.InitalizeSurface(200, 200);
    manager.InitializeContext();

    auto line = LineSegment::Create(Point::Create(10.0, 10.0), Point::Create(190.0, 190.0));

    return 0;
}
